Subject: Re: [TLS] Next steps for draft-ietf-tls-ecc-XX.txt

From: Vipul Gupta <[email-masked]>
Date: Tue, 02 Nov 2004 16:36:18 -0800

Hi Eric,

I agree with Nikos that

   - Removing the extensions in the ECC in TLS draft may harm
     interoperability (especially with constrained devices), and

   - There doesn't appear to be an important reason for dropping them
     except for the wording in RFC 3546.

In fact, at least one of the authors of that draft didn't realize that
the sentence would preclude Informational/Experimental
RFCs from defining new TLS extensions. So I'd also favor changing
the wording in RFC 3546.

Who needs to approve such a change and if they do would you want
us to remove the extensions in the ECC draft until the change is made
or could it proceed to last call in parallel with the change to RFC 
3546?

thanks,

vipul

On Oct 26, 2004, at 10:58 PM, Nikos Mavrogiannopoulos wrote:

> On Saturday 23 October 2004 07:40, Eric Rescorla wrote:
>
> (in my previous posting I used a different e-mail address and
>  it did not appear, so I resend it)
>
>> The results are below:
>> A (Proposed Standard):               12
>> B (Informational w/o extensions):    7 (including both chairs)
>> C (Informational w/ extensions):     1
>
>> Win and I have consulted with the ADs and we believe that this does 
>> not
>> represent a WG consensus to progress the document at Proposed
>> Standard. Accordingly, we will be progressing the document at
>> Informational.
>
> I don't really find it usefull to have this as an informational RFC 
> without
> the extensions. Especially the removal of "the Supported Elliptic 
> Curves"
> extension may harm interoperation.
>
> Other than that, by not allowing this informational rfc to define 
> extensions,
> this will prohibit any other proposed additions to TLS, that do not 
> end up as
> proposed standard, from using TLS extensions. For example the SRP 
> draft and
> the openpgp-keys, if end up as informational, they will be completely
> useless. They heavily depend on the TLS extensions.
>
> Given that there is no important reason for removing them except for 
> the
> wording of the extensions rfc, I'd suggest to change the wording 
> instead.
>
>
>
> PS. I disagree with the choice of the extension numbers in the ecc 
> draft
> though, since they overlap with other extensions in the above drafts.
>
> -- 
> Nikos Mavrogiannopoulos
>
> _______________________________________________
> TLS mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/tls

_______________________________________________
TLS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tls

---

From: Eric Rescorla <[email-masked]>
Date: Tue, 02 Nov 2004 16:48:02 -0800

> or could it proceed to last call in parallel with the change to RFC

You'd need to create a new document to revise 3546 and get WG
consensus behind it. The documents should proceed in parallel.

WG members:
I'd like to get opinions on this proposed change to RFC 3546.

-Ekr